> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Veri seti öğesi oluştur

> Belirli bir veri setine yeni bir katsayı ekler (sahip yetkisi gerektirir).

**Gerekli Alanlar**:
- `datasetId`: Katsayının ekleneceği veri seti
- `label`: İnsan tarafından okunabilir ad (örn. "US Grid Average")
- `key`: Hesaplamalarda kullanılacak benzersiz anahtar
- `value`: Katsayı değeri (örn. 0.4085)
- `unit`: Ölçüm birimi (örn. "kg CO2e/kWh")

**Opsiyonel**:
- `metadata`: Ek sınıflandırmalar ve açıklamalar

**Örnekler**:
- Elektrik: {"label": "US Grid Average", "key": "us_grid", "value": 0.4085, "unit": "kg CO2e/kWh"}
- Doğal gaz: {"label": "Natural Gas", "key": "nat_gas", "value": 1.976, "unit": "kg CO2e/m³"}
- Bölgesel: {"label": "California Grid", "key": "ca_grid", "value": 0.276, "unit": "kg CO2e/kWh"}

Anahtarların benzersiz olması gerekir; değişiklikler tüm hesaplamaları etkiler.



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.tr.json post /dataset-items
openapi: 3.0.3
info:
  title: Erguvan Genel API
  version: 1.0.0
  description: Erguvan platformuna entegrasyon için REST API referansının Türkçe sürümü.
servers:
  - url: https://app.azalt.co/api/v1
security: []
tags:
  - name: Activity
    x-displayName: Aktiviteler
  - name: ActivityDefinition
    x-displayName: Aktivite Tanımları
  - name: ApiKey
    x-displayName: API Anahtarları
  - name: Dashboard
    x-displayName: Panolar
  - name: DashboardWidget
    x-displayName: Pano Bileşenleri
  - name: Dataset
    x-displayName: Veri Setleri
  - name: DatasetItem
    x-displayName: Veri Seti Öğeleri
  - name: File
    x-displayName: Dosyalar
  - name: Form
    x-displayName: Formlar
  - name: FormElement
    x-displayName: Form Öğeleri
  - name: FormElementSubmission
    x-displayName: Form Öğesi Gönderimleri
  - name: FormSite
    x-displayName: Form-Tesis İlişkilendirmeleri
  - name: FormSubmission
    x-displayName: Form Gönderimleri
  - name: Indicator
    x-displayName: Göstergeler
  - name: Organization
    x-displayName: Organizasyonlar
  - name: Site
    x-displayName: Tesisler
  - name: Target
    x-displayName: Hedefler
  - name: Unit
    x-displayName: Birimler
  - name: User
    x-displayName: Kullanıcılar
paths:
  /dataset-items:
    post:
      tags:
        - DatasetItem
      summary: Veri seti öğesi oluştur
      description: >-
        Belirli bir veri setine yeni bir katsayı ekler (sahip yetkisi
        gerektirir).


        **Gerekli Alanlar**:

        - `datasetId`: Katsayının ekleneceği veri seti

        - `label`: İnsan tarafından okunabilir ad (örn. "US Grid Average")

        - `key`: Hesaplamalarda kullanılacak benzersiz anahtar

        - `value`: Katsayı değeri (örn. 0.4085)

        - `unit`: Ölçüm birimi (örn. "kg CO2e/kWh")


        **Opsiyonel**:

        - `metadata`: Ek sınıflandırmalar ve açıklamalar


        **Örnekler**:

        - Elektrik: {"label": "US Grid Average", "key": "us_grid", "value":
        0.4085, "unit": "kg CO2e/kWh"}

        - Doğal gaz: {"label": "Natural Gas", "key": "nat_gas", "value": 1.976,
        "unit": "kg CO2e/m³"}

        - Bölgesel: {"label": "California Grid", "key": "ca_grid", "value":
        0.276, "unit": "kg CO2e/kWh"}


        Anahtarların benzersiz olması gerekir; değişiklikler tüm hesaplamaları
        etkiler.
      operationId: createDatasetItem
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
                link:
                  type: string
                datasetId:
                  type: string
                data:
                  type: object
                  additionalProperties: {}
                metadata:
                  type: object
                  additionalProperties: {}
                  default: {}
                year:
                  type: number
                tags:
                  type: array
                  items:
                    type: string
                inputUnitId:
                  type: string
                  nullable: true
                  minLength: 1
              required:
                - name
                - datasetId
                - data
                - year
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                    nullable: true
                  link:
                    type: string
                    nullable: true
                  data: {}
                  metadata: {}
                  year:
                    type: number
                  tags:
                    type: array
                    nullable: true
                    items:
                      type: string
                  inputUnitId:
                    type: string
                    nullable: true
                required:
                  - id
                  - name
                  - description
                  - link
                  - year
                  - tags
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````